Bug 841351 - (CVE-2012-1689) CVE-2012-1689 mysql: unspecified DoS vulnerability related to Server Optimizer (CPU Jul 2012)
CVE-2012-1689 mysql: unspecified DoS vulnerability related to Server Optimize...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120718,reported=2...
: Security
Depends On: 871813 871814
Blocks: mysql-cpu-2012-07 833743
  Show dependency treegraph
 
Reported: 2012-07-18 14:34 EDT by Vincent Danen
Modified: 2015-11-24 10:18 EST (History)
5 users (show)

See Also:
Fixed In Version: mysql 5.1.63, mysql 5.5.23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 10:17:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-07-18 14:34:20 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-1689 to
the following vulnerability:

Name: CVE-2012-1689
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1689
Assigned: 20120316
Reference: http://www.oracle.com/technetwork/topics/security/cpujul2012-392727.html

Unspecified vulnerability in Oracle MySQL Server 5.1.62 and earlier,
and 5.5.22 and earlier, allows remote authenticated users to affect
availability via unknown vectors related to Server Optimizer.
Comment 2 Tomas Hoger 2012-07-25 06:52:36 EDT
This CVE may be a full or partial duplicate of CVE-2012-2750 (bug #833742).  Upstream is unlikely to provide any further info, so we can't be sure.
Comment 3 Tomas Hoger 2012-08-03 05:50:22 EDT
A possible candidate for this issue is the following change:

http://bazaar.launchpad.net/~mysql/mysql-server/5.1/revision/3695
Bug#13012483:EXPLAIN EXTENDED, PREPARED STATEMENT, CRASH IN CHECK_SIMPLE_EQUALITY

This should allow database user with SQL access without administrative privileges to trigger mysqld crash.  The problem is not reproducible with mysql packages in Red Hat Enterprise Linux 5 and 6.
Comment 5 errata-xmlrpc 2012-11-14 15:53:14 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1462 https://rhn.redhat.com/errata/RHSA-2012-1462.html

Note You need to log in before you can comment on or make changes to this bug.